### Method

# FwupdPlugin Device add_instance_id

#### Declaration [src]

    void
    fu_device_add_instance_id (
      FuDevice* self,
      const gchar* instance_id
    )

#### Description [src]

Adds an visible, quirked, instance ID to the device.

Available since: | 1.2.5

#### Parameters

`instance_id` | `const gchar*`
| The instance ID, e.g. `PCI\VEN_10EC&DEV_525A`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.